For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETList Sub Accounts
      • POSTCreate Sub Account
      • DELDelete Sub Account
      • PATCHUpdate Sub Account
LogoLogo
HomeGet API key
API Referencesub-accounts

Update Sub Account

PATCH
https://api.agentphone.ai/v1/sub-accounts/:sub_account_id
PATCH
/v1/sub-accounts/:sub_account_id
1import { AgentPhoneClient } from "agentphone";
2
3async function main() {
4 const client = new AgentPhoneClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.subAccounts.updateSubAccount("sub_account_id", {
8 name: "Acme Corp Sub Account",
9 });
10}
11main();
1{}
Was this page helpful?
Previous

Register A2P

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sub_account_idstringRequired

Request

This endpoint expects an object.
namestringRequired1-100 characters

Response

Successful Response

Errors

422
Unprocessable Entity Error